Bug 1465607 - PasteDeploy configuration files for glance services are missing in OSP11 [NEEDINFO]
PasteDeploy configuration files for glance services are missing in OSP11
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance (Show other bugs)
11.0 (Ocata)
Unspecified Linux
unspecified Severity unspecified
: ---
: 11.0 (Ocata)
Assigned To: Cyril Roelandt
Mike Abrams
: ZStream
Depends On:
Blocks: ciscoosp11bugs 1401639
  Show dependency treegraph
 
Reported: 2017-06-27 14:06 EDT by Zhen Qin
Modified: 2017-07-17 12:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-17 12:18:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: needinfo? (mabrams)


Attachments (Terms of Use)

  None (edit)
Description Zhen Qin 2017-06-27 14:06:06 EDT
Description of problem:
After install glance package of osp11, the PasteDeploy configuration files are missing (glance-api-paste.ini and glance-registry-paste.ini), but those files are created if I use upstream glance package of ocata. According to the upstream open stack doc, "if the paste configuration file is not found, the service will not start in Ocata."

Version-Release number of selected component (if applicable):
python-glance-14.0.0-3.el7ost.noarch
openstack-glance-14.0.0-3.el7ost.noarch

How reproducible:
easy to be reproduced.

Steps to Reproduce:
1. Deploy an openstack cluster using OSP11.
2. check if PasteDeploy configuration files are under /etc/glance
3.

Actual results:
no PasteDeploy configuration files are shown under /etc/glance.

Expected results:
glance-api-paste.ini and glance-registry-paste.ini are shown under /etc/glance.

Additional info:
Comment 2 Zhen Qin 2017-07-13 22:02:08 EDT
The files by default are located under /usr/share/glance, so they are not missing. I think this ticket can be closed. Thanks!
Comment 3 Cyril Roelandt 2017-07-17 12:18:44 EDT
Well, let's close this then :)

Note You need to log in before you can comment on or make changes to this bug.